Groovy 1.7.10

## org.codehaus.groovy.ast.builder
[Groovy] Class AstSpecificationCompiler

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstSpecificationCompiler

All Implemented Interfaces:
  GroovyInterceptable

    @PackageScope
    class AstSpecificationCompiler
    extends Object

Handles parsing the properties from the closure into values that can be referenced. This object is very stateful and not threadsafe. It accumulates expressions in the 'expression' field as they are found and executed within the DSL. Note: this class consists of many one-line method calls. A better implementation might be to take a declarative approach and replace the one-liners with map entries.

Authors:
  Hamlet D'Arcy

Constructor Summary
`AstSpecificationCompiler(Closure spec)` Creates the DSL compiler.

Method Summary
`List` | `getExpression()` Gets the current generated expression.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AstSpecificationCompiler

    AstSpecificationCompiler(Closure spec)

  Creates the DSL compiler.

Method Detail

### getExpression

    List getExpression()

  Gets the current generated expression.

Copyright © 2003-2010 The Codehaus. All rights reserved.